package com.cultural.heritage.model.dto.order;

import com.cultural.heritage.model.dto.snapshot.GoodSnapshot;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class OrderItemAddRequest implements Serializable {


    /**
     * 关联的订单id
     */
    private Long orderId;


    /**
     * 商品信息快照
     */
    private GoodSnapshot goodSnapshot;


    /**
     * 商品单价快照
     */
    private Double priceSnapshot;


    /**
     * 购买数量
     */
    private Integer quantity;


    /**
     * 订单项金额（单价 * 数量）
     */
    private Double itemTotalAmount;

    @Serial
    private static final long serialVersionUID = 1L;
}
