package com.cultural.heritage.model.dto.order;

import com.cultural.heritage.common.PageRequest;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

@Data
public class OrderQueryRequest extends PageRequest implements Serializable {


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单编号
     */
    private String OrderNumber;


    /**
     * 订单最小金额
     */
    private Double minTotalAmount;


    /**
     * 订单最大金额
     */
    private Double maxTotalAmount;


    /**
     * 订单状态
     */
    private String orderStatus;


    /**
     * 开始时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;



    /**
     * 结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;




    @Serial
    private static final long serialVersionUID = 1L;
}
